Skip to main content
PATCH
/
v1
/
credentials
/
{credential_id}
Update credential
curl --request PATCH \
  --url http://13.207.23.185:8000/v1/credentials/{credential_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Twilio Production v2"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.oneinbox.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use api_key from POST /v1/api-keys

Path Parameters

credential_id
string
required

Body

application/json
name
string
Example:

"Twilio Production v2"

Response

200 - application/json

OK

id
string
name
string
provider
enum<string>
Available options:
twilio,
elevenlabs,
openai,
deepgram,
cartesia
created_at
string<date-time>